> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claimr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Referral ID

> Gets or creates a referral ID for a user in a specific campaign. If the user doesn't have a campaign entry, one will be created. If no referral link exists, a new one will be generated.



## OpenAPI

````yaml /openapi.yaml get /user/ref_id
openapi: 3.0.0
info:
  title: claimr API
  version: 1.0.0
  description: >-
    Advanced features of claimr for business partners. This API provides a
    seamless integration with claimr services
  termsOfService: https://claimr.io/terms-of-service/
  contact:
    name: claimr support team
    email: support@claimr.io
servers:
  - url: https://prod.claimr.io/api/v1
    description: Production server
  - url: https://prod.claimr.io/api/v1
    description: Development server
security: []
tags: []
paths:
  /user/ref_id:
    get:
      tags:
        - User
      summary: Get Referral ID
      description: >-
        Gets or creates a referral ID for a user in a specific campaign. If the
        user doesn't have a campaign entry, one will be created. If no referral
        link exists, a new one will be generated.
      parameters:
        - in: query
          name: account
          description: Account identifier of a user
          required: true
          schema:
            type: string
        - in: query
          name: platform
          description: Platform of an account
          required: true
          schema:
            type: string
        - in: query
          name: pid
          description: Campaign id (must belong to the authenticated organization)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User's referral id successfully retrieved or created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      ref_id:
                        type: string
                        description: >-
                          Unique referral link identifier that can be used for
                          tracking referrals
                        example: ref_abc123xyz
        '400':
          $ref: '#/components/responses/bad_request'
          description: >-
            Bad request - missing parameters, campaign not found, campaign
            doesn't belong to organization, user not found, or referral link
            creation failed
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/access_denied'
        '500':
          $ref: '#/components/responses/internal_error'
      security:
        - bearer: []
components:
  responses:
    bad_request:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 400
                  message:
                    type: string
                    default: bad request
    unauthorized:
      description: Unauthorized request
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 401
                  message:
                    type: string
                    default: unauthorized
    access_denied:
      description: Access denied
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 403
                  message:
                    type: string
                    default: access denied
    internal_error:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
              error:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    default: 500
                  message:
                    type: string
                    default: internal error
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````